## sncosmo 2.8.0

=== debian/changelog ===
sncosmo (2.8.0-2build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 19:27:15 +0000

sncosmo (2.8.0-2) unstable; urgency=medium

  * Use np.testing.assert_allclose for comparison in test
  * Build-depend on python-all-dev
  * Permanently skip tests that use remote data

 -- Ole Streicher <olebole@debian.org>  Tue, 16 Aug 2022 20:34:22 +0200

sncosmo (2.8.0-1) unstable; urgency=medium

  * Initial release. (Closes: #757096)

 -- Ole Streicher <olebole@debian.org>  Sat, 13 Aug 2022 10:26:02 +0200

## sncosmo 2.9.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

#This is needed with git because git doesn't create a dir if it's empty
$(shell [ -d "_static" ] || mkdir -p _static)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)
	-rm -rf api
	-rm -rf examples
	-rm -rf modules

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Astropy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Astropy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Astropy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Astropy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
sncosmo (2.9.0-1) unstable; urgency=medium

  * New upstream version 2.9.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Oct 2022 20:45:22 +0200

=== debian/control ===
Source: sncosmo
Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: cython3,
               debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-astropy,
               python3-extinction,
               python3-emcee <!nocheck>,
               python3-iminuit <!nocheck>,
               python3-pytest <!nocheck>,
               python3-scipy,
               python3-setuptools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-astro-team/sncosmo
Vcs-Git: https://salsa.debian.org/debian-astro-team/sncosmo.git
Homepage: https://sncosmo.github.io
Rules-Requires-Root: no

Package: python3-sncosmo
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python3-emcee,
          python3-iminuit
Description: Python library for high-level supervova cosmology analysis
 SNCosmo synthesizes supernova spectra and photometry from SN models,
 and has functions for fitting and sampling SN model parameters given
 photometric light curve data. It offers fast implementations of
 several commonly used extinction laws and can be used to construct SN
 models that include dust. The SNCosmo library includes supernova
 models such as SALT2, MLCS2k2, Hsiao, Nugent, PSNID, SNANA and Whalen
 models, as well as a variety of built-in bandpasses and magnitude
 systems, and provides convenience functions for reading and writing
 peculiar data formats used in other packages. The library is
 extensible, allowing new models, bandpasses, and magnitude systems to
 be defined using an object-oriented interface.

=== debian/tests/control ===
Test-Command: cd $ADTTMP; python3 -m pytest --pyargs sncosmo
Depends: @, python3-pytest

## sncosmo 2.10.0

=== debian/changelog ===
sncosmo (2.10.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Replace use of deprecated $ADTTMP with $AUTOPKGTEST_TMP.

  [ Ole Streicher ]
  * New upstream version 2.10.0
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2023 17:17:37 +0200

## sncosmo 2.10.1

=== debian/changelog ===
sncosmo (2.10.1-1) unstable; urgency=medium

  * New upstream version 2.10.1

 -- Ole Streicher <olebole@debian.org>  Sat, 01 Jul 2023 12:32:32 +0200

## sncosmo 2.10.2

=== debian/changelog ===
sncosmo (2.10.2-1) unstable; urgency=medium

  * New upstream version 2.10.2

 -- Ole Streicher <olebole@debian.org>  Fri, 29 Sep 2023 21:40:08 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sncosmo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sncosmo.git
 Homepage: https://sncosmo.github.io

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_TEST_ARGS=sncosmo

%:
	dh $@ --with python3 --buildsystem=pybuild

## sncosmo 2.10.4

=== debian/changelog ===
sncosmo (2.10.4-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 15:31:20 +0000

sncosmo (2.10.4-1) unstable; urgency=medium

  * New upstream version 2.10.4

 -- Ole Streicher <olebole@debian.org>  Tue, 20 Feb 2024 17:56:38 +0100

sncosmo (2.10.3-1) unstable; urgency=medium

  * New upstream version 2.10.3
  * Provide dependency on numpy API

 -- Ole Streicher <olebole@debian.org>  Sun, 04 Feb 2024 13:55:27 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                python3-extinction,
                python3-emcee <!nocheck>,
                python3-iminuit <!nocheck>,
+               python3-numpy,
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_python3:
+	dh_numpy3
+	dh_python3

## sncosmo 2.11.0

=== debian/changelog ===
sncosmo (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * Push Standards-Version to 4.7.0. No changes needed
  * Skip tests that require remote data

 -- Ole Streicher <olebole@debian.org>  Sat, 06 Jul 2024 13:13:47 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sncosmo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sncosmo.git
 Homepage: https://sncosmo.github.io

## sncosmo 2.11.1

=== debian/changelog ===
sncosmo (2.11.1-2) unstable; urgency=medium

  * Add 'd/clean' and insert missing elements. (Closes: #1046894)
  * 'd/control': Add myself to 'Uploaders'.
  * 'd/rules': Add hardening 'all'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 10 Oct 2024 07:10:06 +0100

sncosmo (2.11.1-1) unstable; urgency=medium

  * New upstream version 2.11.1

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Jul 2024 08:40:08 +0200

## sncosmo 2.11.2

=== debian/changelog ===
sncosmo (2.11.2-1) unstable; urgency=medium

  * New upstream version 2.11.2

 -- Ole Streicher <olebole@debian.org>  Fri, 01 Nov 2024 20:30:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: sncosmo
 Maintainer: Debian Astronomy Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>,
+           Phil Wyett <philip.wyett@kathenas.org>
 Section: python
 Priority: optional
 Build-Depends: cython3,

## sncosmo 2.12.0

=== debian/changelog ===
sncosmo (2.12.0-1) unstable; urgency=medium

  * New upstream version 2.12.0
  * Rediff patches
  * New build dependencies python3-h5py and python3-looseversion

 -- Ole Streicher <olebole@debian.org>  Wed, 22 Jan 2025 09:31:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,9 @@
                python3-astropy,
                python3-extinction,
                python3-emcee <!nocheck>,
+               python3-h5py,
                python3-iminuit <!nocheck>,
+               python3-looseversion,
                python3-numpy,
                python3-pytest <!nocheck>,
                python3-scipy,

## sncosmo 2.12.1

=== misc/Makefile ===
INC=.
LIB=.

# Get INC and LIB from Make.user
ifeq (exists, $(shell [ -e ./Make.user ] && echo exists ))
include ./Make.user
endif

test-salt2model : test_salt2model.o
	g++ -DUSELAPACK -DgFortran -g -Wall -O3 -Wl,-rpath,$(LIB) -L$(LIB) -o test-salt2model test_salt2model.o -lsnfit -llapack -lblas -llapack -lgfortran

test_salt2model.o : test_salt2model.cc
	g++ -DHAVE_CONFIG_H -I$(INC) -g -Wall -O3 -DUSELAPACK -DgFortran -g -Wall -O3 -MT test_salt2model.o -MD -MP -std=c++11 -c -o test_salt2model.o test_salt2model.cc

.PHONY: clean

clean :
	rm test-salt2model
	rm test_salt2model.o
	rm test_salt2model.d

=== debian/changelog ===
sncosmo (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1
  * Push Standards-Version to 4.7.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 13 Mar 2025 21:11:10 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/sncosmo
 Vcs-Git: https://salsa.debian.org/debian-astro-team/sncosmo.git
 Homepage: https://sncosmo.github.io

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,8 @@
 #!/usr/bin/make -f
+
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export PYBUILD_TEST_ARGS=sncosmo

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sncosmo-$1\.tar\.gz/ \
  https://github.com/sncosmo/sncosmo/tags .*/v?(\d\S+)\.tar\.gz
